Under maintenance.

Most probably CPANTS databases are being regenerated from scratch due to major changes in Kwalitee metrics or updates of relevant modules/perl. Usually this maintenance takes about a day or two, and some of the information may be old or missing tentatively. Sorry for the inconvenience.

Kwalitee Issues

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: Search::Elasticsearch::Client::2_0

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

use_warnings

Add 'use warnings' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Search::Elasticsearch::Client::2_0

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 5.00,5.01

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
Search::Elasticsearch::Client::2_0 Thin client with full support for Elasticsearch 2.x APIs 5.01 metacpan
Search::Elasticsearch::Client::2_0::Bulk A helper module for the Bulk API and for reindexing 5.01 metacpan
Search::Elasticsearch::Client::2_0::Direct Thin client with full support for Elasticsearch 2.x APIs 5.00 metacpan
Search::Elasticsearch::Client::2_0::Direct::Cat A client for running cat debugging requests 5.01 metacpan
Search::Elasticsearch::Client::2_0::Direct::Cluster A client for running cluster-level requests 5.01 metacpan
Search::Elasticsearch::Client::2_0::Direct::Indices A client for running index-level requests 5.01 metacpan
Search::Elasticsearch::Client::2_0::Direct::Nodes A client for running node-level requests 5.01 metacpan
Search::Elasticsearch::Client::2_0::Direct::Snapshot A client for managing snapshot/restore 5.01 metacpan
Search::Elasticsearch::Client::2_0::Direct::Tasks A client for accessing the Task Management API 5.01 metacpan
Search::Elasticsearch::Client::2_0::Role::API This class contains the spec for the Elasticsearch APIs 5.01 metacpan
Search::Elasticsearch::Client::2_0::Role::Bulk Provides common functionality to L<Elasticseach::Client::2_0::Bulk> and L<Search::Elasticsearch::Client::2_0::Async::Bulk> 5.01 metacpan
Search::Elasticsearch::Client::2_0::Role::Scroll Provides common functionality to L<Search::Elasticsearch::Client::2_0::Scroll> and L<Search::Elasticsearch::Client::2_0::Async::Scroll> 5.01 metacpan
Search::Elasticsearch::Client::2_0::Scroll A helper module for scrolled searches 5.01 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan